## remaster 0.1-6

=== Makefile ===
.PHONY: install

install:
	mkdir -p $(DESTDIR)/usr/bin
	install -m 755 knoppix-remaster $(DESTDIR)/usr/bin
	mkdir -p $(DESTDIR)/usr/share/knoppix-remaster
	cp -a KNOPPIX.build/ $(DESTDIR)/usr/share/knoppix-remaster/
	mkdir -p $(DESTDIR)/usr/share/applnk/Knoppix/Utilities
	install -m644 knoppix-remaster.desktop $(DESTDIR)/usr/share/applnk/Knoppix/Utilities/

=== debian/changelog ===
remaster (0.1-6) unstable; urgency=low

  * Fixed two bugs (remount,ro and wrong menu description).
  * Made the script less verbose in AUTO-mode.
  * Silenced some messages.
  * Fixed some translation bugs. 

 -- Fabian Franz <ffranz@Bluemoon>  Fri, 27 Aug 2004 12:32:45 +0200

remaster (0.1-5) unstable; urgency=low

  * Initial Release.

 -- Fabian Franz <knoppix-remaster@fabian-franz.de>  Tue, 10 Aug 2004 15:13:27 +0100

=== debian/control ===
Source: remaster
Section: knoppix 
Priority: optional
Maintainer: Fabian Franz <knoppix-remaster@fabian-franz.de>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.0

Package: remaster
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Remastering scripts for Knoppix
 An easy way to remaster knoppix.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	#/usr/bin/docbook-to-man debian/remaster.sgml > remaster.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/remaster.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/remaster


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
